'''Essentials for the bot to function'''
import configparser
config = configparser.ConfigParser()
config.read('config.ini')

# Username for the bot
USER     = config['credentials']['User']
# API key for the bot
KEY      = config['credentials']['Token']
# Bot's Misskey instance URL
INSTANCE = config['credentials']['Instance']

# TODO: move this to db
# Fedi handles in the traditional 'user@domain.tld' style, allows these users
# to use extra admin exclusive commands with the bot
ADMINS        = config['application']['DefaultAdmins']
# SQLite Database location
DB_PATH       = config['application']['DatabaseLocation']

NOTIFICATION_POLL_INTERVAL = int(config['notification']['PollInterval'])
NOTIFICATION_BATCH_SIZE    = int(config['notification']['BatchSize'])

GACHA_ROLL_INTERVAL = int(config['gacha']['RollInterval'])
